=== modified file 'TODO'
--- TODO	2005-09-13 16:52:44 +0000
+++ TODO	2005-09-28 05:43:19 +0000
@@ -12,3 +12,4 @@
 
 parent and committed against are different, record that!
 
+version-last option

=== modified file 'fetch_missing.py'
--- fetch_missing.py	2005-09-09 23:54:33 +0000
+++ fetch_missing.py	2005-09-28 05:43:19 +0000
@@ -13,12 +13,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-from bzrlib.branch import find_branch
+from bzrlib.branch import Branch
 from bzrlib.fetch import greedy_fetch
 from bzrlib.errors import NoSuchRevision, InstallFailed
 def fetch_missing(branch):
     """Install the revisions of missing ancestors from another branch."""
-    this_branch = find_branch('.')
+    this_branch = Branch.open_containing('.')
     if branch is None:
         try:
             branch = this_branch.controlfile("x-pull", "rb").read().rstrip('\n')
@@ -29,7 +29,7 @@
             else:
                 raise BzrCommandError("No pull location known or specified.")
 
-    other_branch = find_branch(branch)
+    other_branch = Branch.open_containing(branch)
     installed = []
     failed = []
 

